/*
 * Class SPECIAL [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_325 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_325 [] = {0xFF01,237,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_325 [] = {0xFF01,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_325 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_325 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_325 [] = {0xFF01,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_325 [] = {0xFF01,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_325 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_325 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_325 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_325 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_325 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_325 [] = {324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_325 [] = {0xFF01,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_325 [] = {0xFF01,325,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_325 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_325 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_325 [] = {0xFF01,329,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_325 [] = {0xFF01,330,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_325 [] = {0xFF01,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_20_325 [] = {0xFF01,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_21_325 [] = {0xFF01,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_22_325 [] = {0xFF01,324,194,0xFFFF};
static const EIF_TYPE_INDEX egt_23_325 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_325 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_25_325 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_325[] = {
	{EIF_GENERIC(NULL), 3482, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_325), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_325), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_325), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_325), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_325), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_325), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_325), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_325), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_325), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_325), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_325), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_325), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_325), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_325), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_325), 3369, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_325), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3483, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3484, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3485, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_325), 3487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3488, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3489, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3490, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_325), 3491, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_325), 3492, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3494, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3495, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3498, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3499, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3501, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3502, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3503, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3504, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3505, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3506, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3507, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3508, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3509, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3510, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3511, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3512, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3513, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3514, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3515, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_325), 3516, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_325), 3517, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_325), 3518, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_325), 3519, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3520, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3521, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3522, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3523, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3525, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3526, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3527, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3528, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3530, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3531, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_325), 3486, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_325), 3493, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3500, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3496, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3497, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3500, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_325), 3529, 0xFFFFFFFF},
};
void Init325(void)
{
	IDSC(desc_325, 0, 324);
	IDSC(desc_325 + 1, 1, 324);
	IDSC(desc_325 + 32, 99, 324);
	IDSC(desc_325 + 34, 2, 324);
	IDSC(desc_325 + 77, 256, 324);
	IDSC(desc_325 + 80, 240, 324);
	IDSC(desc_325 + 83, 336, 324);
}


#ifdef __cplusplus
}
#endif
